# Flutter Firebase Utilities

🚀 This package provides a comprehensive set of methods and extensions for Firebase, simplifying its integration into your Flutter projects while also adding valuable functionality.

## Getting Started

1. Open your `pubspec.yaml` file.
2. Add `ns_firebase_utils` as a dependency, replacing `[version]` with the latest release:

```yaml
dependencies:
  flutter:
    sdk: flutter
  ns_firebase_utils: ^[version]
```

3. Run `flutter pub get` or click the "Packages get" button in your IDE.

## Importing the Package

```dart
import 'package:ns_firebase_utils/src.dart';
```

## What's Included

This package offers a single plugin that conveniently adds all necessary Firebase dependencies to your project:

```yaml
  cloud_firestore: ^4.9.2
  cloud_functions: ^4.4.1
  fake_cloud_firestore: ^2.4.1+1
  firebase_analytics: ^10.5.0
  firebase_auth: ^4.10.0
  firebase_core: ^2.16.0
  firebase_crashlytics: ^3.3.6
  firebase_dynamic_links: ^5.3.6
  firebase_messaging: ^14.6.8
  firebase_remote_config: ^4.2.6
  firebase_storage: ^11.2.7
```

Additionally, it provides a powerful set of methods to accelerate your development process.

## Thanks To All The Contributors

<div align="center">
  <a href="https://github.com/ProjectAJ14/ns_firebase_utils/graphs/contributors">
    <img src="https://contrib.rocks/image?repo=ProjectAJ14/ns_firebase_utils" />
  </a>
</div>

## How to Contribute

There are several ways to contribute to this project:

- Propose new features or enhancements.
- Report bugs you encounter.
- Contribute fixes for existing bugs.
- Engage in discussions and help make important decisions.
- Enhance and maintain documentation, as it plays a critical role in project success.
- Submit a Pull Request to contribute your code changes. 😊